Subject: casting for array types from GetAttributeByName?

From: [email-masked]
Date: Fri, 2 Jul 93 11:25:26 -0700

Hi -- I'm trying to pull a postgres data structure of type "text[]"
into a C routine using GetAttributeByName().  If I were
just pulling in something of postgres type "text" I would cast the
result into (text *) GetAttributeByName(...).  But what should
I cast into when pulling in an array?

Is GetAttributeByName the right function to be using?  I need something
to copy the data into the C function's namespace, and this is the
function used for all supported types in postgres.  But the documentation
does not mention how to use GetAttributeByName for arrays.

Any help will be greatly appreciated.

Lin Chase
CMU